<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/05/2011 *
 * ===================                          Last change: 07/05/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : purge-coupon.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Purge expired coupons after some time            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Nach einer Weile angelaufene Gutscheine entf.    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif (!isExtensionActive('coupon')) {
	logDebugMessage(__FILE__, __LINE__, 'Not resetting, needed extension disabled.');
	return;
}

// Search for all expired coupons that we can purge
$result = SQL_QUERY('SELECT
	`id`,
	UNIX_TIMESTAMP(`coupon_created`) AS `coupon_created`,
	UNIX_TIMESTAMP(`coupon_expired`) AS `coupon_expired`,
	`total_created`,
	`total_cashed`,
	`points`,
	`coupon_description`
FROM
	`{?_MYSQL_PREFIX?}_coupon_data`
WHERE
	(UNIX_TIMESTAMP() - UNIX_TIMESTAMP(`coupon_expired`)) >= {?coupon_autopurge_time?}
ORDER BY
	`id` ASC', __FILE__, __LINE__);

// Do we have entries?
if (SQL_NUMROWS($result) > 0) {
	// Init variables
	$out = '';
	$ids = array();

	// Start purging all
	while ($content = SQL_FETCHARRAY($result)) {
		// Add id
		$ids[] = $content['id'];

		// Translate some data
		$content['coupon_created'] = generateDateTime($content['coupon_created'], '2');
		$content['coupon_expired'] = generateDateTime($content['coupon_expired'], '2');

		// Load email row template
		$out .= loadEmailTemplate('admin_coupon_purge_row', $content);
	} // END - while

	// Purge all entries
	SQL_QUERY('DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_coupon_data` WHERE (UNIX_TIMESTAMP() - UNIX_TIMESTAMP(`coupon_expired`)) >= {?coupon_autopurge_time?}', __FILE__, __LINE__);

	// Purge also user entries
	SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_user_coupons` WHERE `coupon_id` IN (%s) LIMIT %s",
		array(
			implode(',', $ids),
			count($ids)
		), __FILE__, __LINE__);

	// Send admin notification
	sendAdminNotification('{--ADMIN_COUPON_PURGE_SUBJECT--}', 'admin_coupon_purge', $out);
} // END - if

// Free result
SQL_FREERESULT($result);

// [EOF]
?>
